## org.eclipse.datatools.modelbase.dbdefinition
Class ParameterStyle

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.ParameterStyle

public final class ParameterStyle
extends AbstractEnumerator

A representation of the literals of the enumeration 'Parameter Style', and utility methods for working with them.

See Also:
  `DatabaseDefinitionPackage.getParameterStyle()`, Serialized Form

Field Summary
`static int` `DB2DARI` The 'DB2DARI' literal value.
`static ParameterStyle` `DB2DARI_LITERAL` The 'DB2DARI' literal object.
`static int` `DB2GENRL` The 'DB2GENRL' literal value.
`static ParameterStyle` `DB2GENRL_LITERAL` The 'DB2GENRL' literal object.
`static int` `DB2SQL` The 'DB2SQL' literal value.
`static ParameterStyle` `DB2SQL_LITERAL` The 'DB2SQL' literal object.
`static int` `GENERAL` The 'GENERAL' literal value.
`static ParameterStyle` `GENERAL_LITERAL` The 'GENERAL' literal object.
`static int` `GENERAL_WITH_NULLS` The 'GENERAL WITH NULLS' literal value.
`static ParameterStyle` `GENERAL_WITH_NULLS_LITERAL` The 'GENERAL WITH NULLS' literal object.
`static int` `JAVA` The 'JAVA' literal value.
`static ParameterStyle` `JAVA_LITERAL` The 'JAVA' literal object.
`static int` `SQL` The 'SQL' literal value.
`static ParameterStyle` `SQL_LITERAL` The 'SQL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Parameter Style' enumerators.

Method Summary
`static ParameterStyle` `get(int value)` Returns the 'Parameter Style' literal with the specified value.
`static ParameterStyle` `get(java.lang.String name)` Returns the 'Parameter Style' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB2SQL

    public static final int DB2SQL

  The 'DB2SQL' literal value.

  See Also:
    `DB2SQL_LITERAL`, Constant Field Values

### GENERAL

    public static final int GENERAL

  The 'GENERAL' literal value.

  See Also:
    `GENERAL_LITERAL`, Constant Field Values

### GENERAL_WITH_NULLS

    public static final int GENERAL_WITH_NULLS

  The 'GENERAL WITH NULLS' literal value.

  See Also:
    `GENERAL_WITH_NULLS_LITERAL`, Constant Field Values

### DB2GENRL

    public static final int DB2GENRL

  The 'DB2GENRL' literal value.

  See Also:
    `DB2GENRL_LITERAL`, Constant Field Values

### DB2DARI

    public static final int DB2DARI

  The 'DB2DARI' literal value.

  See Also:
    `DB2DARI_LITERAL`, Constant Field Values

### JAVA

    public static final int JAVA

  The 'JAVA' literal value.

  See Also:
    `JAVA_LITERAL`, Constant Field Values

### SQL

    public static final int SQL

  The 'SQL' literal value.

  See Also:
    `SQL_LITERAL`, Constant Field Values

### DB2SQL_LITERAL

    public static final ParameterStyle DB2SQL_LITERAL

  The 'DB2SQL' literal object.

  If the meaning of 'DB2SQL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DB2SQL`

### GENERAL_LITERAL

    public static final ParameterStyle GENERAL_LITERAL

  The 'GENERAL' literal object.

  If the meaning of 'GENERAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GENERAL`

### GENERAL_WITH_NULLS_LITERAL

    public static final ParameterStyle GENERAL_WITH_NULLS_LITERAL

  The 'GENERAL WITH NULLS' literal object.

  If the meaning of 'GENERAL WITH NULLS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GENERAL_WITH_NULLS`

### DB2GENRL_LITERAL

    public static final ParameterStyle DB2GENRL_LITERAL

  The 'DB2GENRL' literal object.

  If the meaning of 'DB2GENRL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DB2GENRL`

### DB2DARI_LITERAL

    public static final ParameterStyle DB2DARI_LITERAL

  The 'DB2DARI' literal object.

  If the meaning of 'DB2DARI' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DB2DARI`

### JAVA_LITERAL

    public static final ParameterStyle JAVA_LITERAL

  The 'JAVA' literal object.

  If the meaning of 'JAVA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JAVA`

### SQL_LITERAL

    public static final ParameterStyle SQL_LITERAL

  The 'SQL' literal object.

  If the meaning of 'SQL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SQL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Parameter Style' enumerators.

Method Detail

### get

    public static ParameterStyle get(java.lang.String name)

  Returns the 'Parameter Style' literal with the specified name.

### get

    public static ParameterStyle get(int value)

  Returns the 'Parameter Style' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.